Package org.springframework.security.web.server.authentication

# Interface ServerAuthenticationFailureHandler

All Known Implementing Classes:
  `RedirectServerAuthenticationFailureHandler`, `ServerAuthenticationEntryPointFailureHandler`

public interface ServerAuthenticationFailureHandler
Handles authentication failure

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onAuthenticationFailure(WebFilterExchange webFilterExchange, org.springframework.security.core.AuthenticationException exception)`
Invoked when authentication attempt fails

## Method Details

### onAuthenticationFailure

reactor.core.publisher.Mono<Void> onAuthenticationFailure(WebFilterExchange webFilterExchange, org.springframework.security.core.AuthenticationException exception)
Invoked when authentication attempt fails

Parameters:
  `webFilterExchange` - the exchange
  `exception` - the reason authentication failed
Returns:
  a completion notification (success or error)